summaryrefslogtreecommitdiff
path: root/source4/lib/ldb/tests
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2005-08-27 23:47:17 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:34:42 -0500
commit95ed275dbbff7c1e3a58a3d0c5408087ef9a0432 (patch)
tree45f65adabb61b97edbe40236d46b7cbd114ac6b6 /source4/lib/ldb/tests
parent3c265c79867e55a8118c2fa3c545a451e2b5e7e9 (diff)
downloadsamba-95ed275dbbff7c1e3a58a3d0c5408087ef9a0432.tar.gz
samba-95ed275dbbff7c1e3a58a3d0c5408087ef9a0432.tar.bz2
samba-95ed275dbbff7c1e3a58a3d0c5408087ef9a0432.zip
r9698: Fix a bit of memory management
More minor bugfixes Support mapping objectclasses and do mapping on 'dn' field as well (not just msg->dn) (This used to be commit b7b079167d5c6616f7c5c4afb7dd80c15707cfd9)
Diffstat (limited to 'source4/lib/ldb/tests')
-rwxr-xr-xsource4/lib/ldb/tests/test-samba3sam.sh15
1 files changed, 14 insertions, 1 deletions
diff --git a/source4/lib/ldb/tests/test-samba3sam.sh b/source4/lib/ldb/tests/test-samba3sam.sh
index 73610a2be2..988806d895 100755
--- a/source4/lib/ldb/tests/test-samba3sam.sh
+++ b/source4/lib/ldb/tests/test-samba3sam.sh
@@ -30,5 +30,18 @@ echo "Checking for existance of record (mapped)"
$VALGRIND ldbsearch $OPT "(cn=Foo)" unixName lastLogon cn || exit 1
echo "Checking for existance of record (non-mapped)"
-$VALGRIND ldbsearch $LOC "(cn=Foo)" uid sambaLogonTime cn || exit 1
+$VALGRIND ldbsearch $LOC"(cn=foo)" uid sambaLogonTime cn || exit 1
+echo "Adding record with mapped attribute in dn"
+$VALGRIND ldbadd $OPT <<EOF
+dn: unixName=nobody,dc=idealx,dc=org
+unixName: nobody
+cn: Niemand
+
+EOF
+
+echo "Checking for existance of record (mapped)"
+$VALGRIND ldbsearch $OPT "(unixName=nobody)" unixName cn dn || exit 1
+
+echo "Checking for existance of record (non-mapped)"
+$VALGRIND ldbsearch $OPT "(uid=nobody)" unixName cn dn || exit 1